Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 3452)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 3453)
@@ -59,7 +59,7 @@
 		File tscorpusdir = new File(tsRegistryDirectory, id);
 		
 		if (!tscorpusdir.exists()) {
-			System.out.println(Messages.ErrorCantFindCorpusDirectoryP0 + tscorpusdir);
+			Log.severe(Messages.bind(Messages.ErrorCantFindCorpusDirectoryP0, tscorpusdir));
 			return;
 		}
 		
@@ -68,7 +68,7 @@
 			
 			tscorpus = manager.getCorpus(id);
 			if (tscorpus == null) {
-				System.out.println(Messages.TIGERSearchCorpusNotFoundInP0 + tsRegistryDirectory);
+				Log.severe(Messages.bind(Messages.TIGERSearchCorpusNotFoundInP0, tsRegistryDirectory));
 				ready = false;
 				
 				return;
@@ -113,7 +113,7 @@
 			svgFile.delete();
 			match.toSVGFile(svgFile);
 			if (!svgFile.exists()) {
-				System.out.println(Messages.FailToRenderSVGMatchForSentEqualsP0AndSubEqualsP1 + sent + " and sub=" + sub); //$NON-NLS-2$
+				Log.severe(Messages.bind(Messages.FailToRenderSVGMatchForSentEqualsP0AndSubEqualsP1, sent, sub));
 				return false;
 			}
 		}
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java	(revision 3452)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/editors/TSIndexEditor.java	(revision 3453)
@@ -421,12 +421,12 @@
 					catch (Exception e) {
 						System.out.println(e.getLocalizedMessage());
 						try {
-							System.out.println(NLS.bind(CQPSearchEngineCoreMessages.lastCQPErrorColon, CQPSearchEngine.getCqiClient().getLastCQPError()));
+							Log.warning(NLS.bind(CQPSearchEngineCoreMessages.lastCQPErrorColon, CQPSearchEngine.getCqiClient().getLastCQPError()));
 						}
 						catch (Exception e1) {
-							System.out.println(CQPSearchEngineCoreMessages.cQPErrorColonP0 + e1);
+							Log.warning(CQPSearchEngineCoreMessages.bind(CQPSearchEngineCoreMessages.cQPErrorColonP0, e1));
 						}
-						Log.severe("Error while computing TIGERSearch Index: " + e.getLocalizedMessage());
+						Log.warning("Error while computing TIGERSearch Index: " + e.getLocalizedMessage());
 					}
 					finally {
 						monitor.done();
Index: TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ExportMessagesToOneFile.java
===================================================================
--- TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ExportMessagesToOneFile.java	(revision 0)
+++ TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ExportMessagesToOneFile.java	(revision 3453)
@@ -0,0 +1,84 @@
+package org.txm.rcp.translate.devtools;
+
+import java.io.File;
+import java.io.FileNotFoundException;
+import java.io.IOException;
+import java.io.UnsupportedEncodingException;
+import java.util.Collections;
+import java.util.Enumeration;
+import java.util.HashMap;
+import java.util.LinkedHashMap;
+import java.util.Properties;
+import java.util.TreeSet;
+
+import org.txm.rcp.translate.i18n.PluginMessagesManager;
+import org.txm.rcp.translate.i18n.WorkspaceMessagesManager;
+import org.txm.utils.io.IOUtils;
+
+/**
+ * Creates one properties files containing all TXM externalized and translated Strings
+ * 
+ * The keys are prefixed with the Messages.java class full path
+ * 
+ * @author mdecorde
+ *
+ */
+public class ExportMessagesToOneFile {
+
+	public static void main(String[] args) throws UnsupportedEncodingException, FileNotFoundException, IOException {
+		WorkspaceMessagesManager wmm = new WorkspaceMessagesManager();
+		LinkedHashMap<File, PluginMessagesManager> h = wmm.getPluginMessages();
+
+		HashMap<String, Properties> mergedProps = new HashMap<String, Properties>();
+		String langs[] = {"", "_fr", "_ru"};
+
+		for (String lang : langs) {
+			mergedProps.put(lang, new Properties() {
+				@Override
+				public synchronized Enumeration<Object> keys() {
+					TreeSet<Object> set = new TreeSet<Object>(PluginMessagesManager.comp);
+					set.addAll(super.keySet());
+					return Collections.enumeration(set);
+				}
+			});
+		}
+		
+		System.out.println("Fetching messages...");
+		for (File project : h.keySet()) {
+			
+			PluginMessagesManager messages = h.get(project);
+			//System.out.println(" "+messages.getMessageFullName()+" -> "+messages.getMessageKeys().size());
+			
+			for (String lang : langs) {
+				File propFile = messages.getFile2lang().getKey("messages"+lang);
+				if (propFile != null) {
+					HashMap<String, String> lmessages = messages.getLangs().get(propFile);
+					for (String key : messages.getMessageKeys()) {
+						
+						if (lmessages.get(key) == null) continue;
+						
+						String merged_key = messages.getMessageFullName()+"."+key;
+						if (mergedProps.get(lang).containsKey(merged_key)) {
+							System.out.println(" WARNING: duplicated key ? "+merged_key);
+						} else {
+							mergedProps.get(lang).put(merged_key, lmessages.get(key));
+						}
+					}
+				}
+			}
+		}
+		
+		System.out.println("Exporting messages to "+wmm.getWorkspaceLocation()+ "org.txm.translate.rcp");
+		for (String lang : langs) {
+			System.out.println(lang+" "+mergedProps.get(lang).size());
+			File mergedPropFile = new File(wmm.getWorkspaceLocation(), "org.txm.translate.rcp/messages"+lang+".properties");
+			try {
+				mergedProps.get(lang).store(IOUtils.getWriter(mergedPropFile), "compiled messages for lang="+lang);
+				System.out.println("See: "+mergedPropFile);
+			} catch (IOException e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
+			}
+		}
+	}
+}

Index: TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ExportOSGiXMLToOneFile.java
===================================================================
--- TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ExportOSGiXMLToOneFile.java	(revision 0)
+++ TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ExportOSGiXMLToOneFile.java	(revision 3453)
@@ -0,0 +1,90 @@
+package org.txm.rcp.translate.devtools;
+
+import java.io.File;
+import java.io.FileNotFoundException;
+import java.io.IOException;
+import java.io.UnsupportedEncodingException;
+import java.util.Collections;
+import java.util.Enumeration;
+import java.util.HashMap;
+import java.util.LinkedHashMap;
+import java.util.Properties;
+import java.util.TreeSet;
+
+import org.txm.rcp.translate.i18n.PluginMessagesManager;
+import org.txm.rcp.translate.i18n.WorkspaceMessagesManager;
+import org.txm.utils.io.IOUtils;
+
+/**
+ * Creates one properties files containing all TXM externalized and translated Strings
+ * 
+ * The keys are prefixed with the Messages.java class full path
+ * 
+ * @author mdecorde
+ *
+ */
+public class ExportOSGiXMLToOneFile {
+
+	public static void main(String[] args) throws UnsupportedEncodingException, FileNotFoundException, IOException {
+		WorkspaceMessagesManager wmm = new WorkspaceMessagesManager();
+		LinkedHashMap<File, PluginMessagesManager> h = wmm.getPluginMessages();
+
+		HashMap<String, Properties> mergedProps = new HashMap<String, Properties>();
+		String langs[] = {"", "_fr", "_ru"};
+
+		for (String lang : langs) {
+			mergedProps.put(lang, new Properties() {
+				@Override
+				public synchronized Enumeration<Object> keys() {
+					TreeSet<Object> set = new TreeSet<Object>(PluginMessagesManager.comp);
+					set.addAll(super.keySet());
+					return Collections.enumeration(set);
+				}
+			});
+		}
+		
+		
+		System.out.println("Fetching messages...");
+		for (File project : h.keySet()) {
+			
+			PluginMessagesManager messages = h.get(project);
+			//System.out.println(" "+messages.getMessageFullName()+" -> "+messages.getMessageKeys().size());
+			
+			File osgiInf = new File(messages.getProjectDirectory(), "OSGI-INF/l10n");
+			for (String lang : langs) {
+				File propFile = new File(osgiInf, "bundle"+lang+".properties");
+				
+				if (propFile != null) {
+					HashMap<String, String> lmessages = messages.getOsgiLangs().get(propFile);
+					
+					if (lmessages == null) continue; // no OSGI for this lang
+					
+					for (String key : messages.getOsgiKeys()) {
+						
+						if (lmessages.get(key) == null) continue;
+						
+						String merged_key = messages.getMessageFullName()+"."+key;
+						if (mergedProps.get(lang).containsKey(merged_key)) {
+							System.out.println(" WARNING: duplicated key ? "+merged_key);
+						} else {
+							mergedProps.get(lang).put(merged_key, lmessages.get(key));
+						}
+					}
+				}
+			}
+		}
+		
+		System.out.println("Exporting messages to "+wmm.getWorkspaceLocation()+ "org.txm.translate.rcp");
+		for (String lang : langs) {
+			System.out.println(lang+" "+mergedProps.get(lang).size());
+			File mergedPropFile = new File(wmm.getWorkspaceLocation(), "org.txm.translate.rcp/bundle"+lang+".properties");
+			try {
+				mergedProps.get(lang).store(IOUtils.getWriter(mergedPropFile), "compiled messages for lang="+lang);
+				System.out.println("See: "+mergedPropFile);
+			} catch (IOException e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
+			}
+		}
+	}
+}

Index: TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/CreateMessagesTable.java
===================================================================
--- TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/CreateMessagesTable.java	(revision 3452)
+++ TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/CreateMessagesTable.java	(revision 3453)
@@ -112,9 +112,9 @@
 	}
 	
 	public static void main(String[] args) throws Exception {
-		String prefix = "bundle"; // messages
-		File odt = new File(prefix+"_ru.odt");
-		new CreateMessagesTable("ru").createODT(prefix, odt);
+		String prefix = "messages"; // messages
+		File odt = new File(prefix+"_fr.odt");
+		new CreateMessagesTable("fr").createODT(prefix, odt);
 		System.out.println("ODT="+odt.getAbsolutePath());
 	}
 }
Index: TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/WorkspaceMessagesManager.java
===================================================================
--- TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/WorkspaceMessagesManager.java	(revision 3452)
+++ TXM/trunk/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/WorkspaceMessagesManager.java	(revision 3453)
@@ -5,6 +5,7 @@
 import java.io.IOException;
 import java.io.UnsupportedEncodingException;
 import java.util.ArrayList;
+import java.util.Collection;
 import java.util.Collections;
 import java.util.Comparator;
 import java.util.HashMap;
@@ -312,8 +313,17 @@
 	 * @throws IOException
 	 */
 	public static void main(String[] args) throws UnsupportedEncodingException, FileNotFoundException, IOException {
+		
 		WorkspaceMessagesManager wmm = new WorkspaceMessagesManager();
+		LinkedHashMap<File, PluginMessagesManager> pms = wmm.getPluginMessages();
+		ArrayList<File> keys = new ArrayList<File>(pms.keySet());
+		Collections.sort(keys);
+		System.out.println("pms keys size:"+keys.size());
+		for (File pmk : keys) {
+			PluginMessagesManager pm = pms.get(pmk);
+			System.out.println("PMK="+pmk+" messages="+pm.getMessageKeys().size()+" osgi="+pm.getOsgiKeys().size()); 
+		}
 		//wmm.dumpUsedKeysFilesIndex();
-		wmm.saveKeyModificationsInSources();
+		//wmm.saveKeyModificationsInSources();
 	}
 }
Index: TXM/trunk/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java
===================================================================
--- TXM/trunk/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java	(revision 3452)
+++ TXM/trunk/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java	(revision 3453)
@@ -215,35 +215,29 @@
 		return false;
 	}
 	
-	
-	
-	
 	@Override
 	public String getDetails() {
 		try {
 			Object[] params = new Object[] { this.parent.getSimpleName(), this.getQuery().getQueryString(), this.getProperties(), this.getFmin(), this.getFmax() };
 			String str;
 			if (this.parent instanceof Partition) {
-				str = IndexCoreMessages.indexColonPartitionP0queryP1propertiesP2FminP3FmaxP4;
+				str =  NLS.bind(IndexCoreMessages.indexColonPartitionP0queryP1propertiesP2FminP3FmaxP4, params);
 			}
 			else {
-				str = IndexCoreMessages.indexColonCorpusP0queryP1propertiesP2FminP3FmaxP4;
+				str =  NLS.bind(IndexCoreMessages.indexColonCorpusP0queryP1propertiesP2FminP3FmaxP4, params);
 			}
-			return NLS.bind(str, params);
+			return str;
 		}
 		catch (Exception e) {
 			return getName();
 		}
 	}
 	
-	
-	
 	@Override
 	public String getComputingStartMessage() {
 		return TXMCoreMessages.bind(IndexCoreMessages.indexOfP0PropertiesP1OnP2Partition, this.pQuery.asString(), WordProperty.asString(this.pProperties), this.getPartition().getName());
 	}
 	
-	
 	/**
 	 * update the lines counts.
 	 */
Index: TXM/trunk/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- TXM/trunk/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 3452)
+++ TXM/trunk/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 3453)
@@ -521,9 +521,7 @@
 		
 		try {
 			Object[] params = new Object[] { this.parent.getSimpleName(), this.getQuery().getQueryString(), this.getProperties(), this.getFmin(), this.getFmax() };
-			String str;
-			str = IndexCoreMessages.indexColonCorpusP0queryP1propertiesP2FminP3FmaxP4;
-			return NLS.bind(str, params);
+			return NLS.bind(IndexCoreMessages.indexColonCorpusP0queryP1propertiesP2FminP3FmaxP4, params);
 		}
 		catch (Exception e) {
 			return getName();
Index: TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java
===================================================================
--- TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 3452)
+++ TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 3453)
@@ -116,7 +116,7 @@
 			TXMPreferences.put(resultParametersNodePath, TXMPreferences.SUB_INDEX, subindex);
 			
 			BaseAbstractHandler.executeSendToCommand(id, resultParametersNodePath);
-			// TODO we should test if there is already a linked editor and used it. Do to it we must either A) know which editor class is must be opened B) know why a previous editor has been open
+			// TODO we should test if there is already a linked editor and used it. To do it we must either A) know which editor class is must be opened B) know why a previous editor has been open
 		}
 		else {
 			this.logCanNotExecuteCommand(selection);
Index: TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java
===================================================================
--- TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 3452)
+++ TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 3453)
@@ -74,7 +74,7 @@
 			// create a local result node in the project node, store in some parameters and call the linked command
 			TXMResult result = this.getResultParent(event, event.getCommand().getId());
 			if (result == null) {
-				System.out.println(Messages.NoResultFondWithP0 + event);
+				Log.severe(Messages.bind(Messages.NoResultFondWithP0, event));
 				return null;
 			}
 			String resultParametersNodePath = result.getProject().getParametersNodeRootPath() + TXMResult.createUUID() + "_link"; // FIXME: we can't put the class name here since we does not know the //$NON-NLS-1$
Index: TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___TableEditor.java
===================================================================
--- TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___TableEditor.java	(revision 3452)
+++ TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/___TableEditor.java	(revision 3453)
@@ -138,7 +138,7 @@
 		table.setLinesVisible(true);
 		
 		if (!(iEditorInput instanceof ITablableEditorInput)) {
-			throw new IllegalArgumentException(TXMUIMessages.canNotCreateATableWithTheProvidedInformationColonP0);
+			throw new IllegalArgumentException(TXMUIMessages.bind(TXMUIMessages.canNotCreateATableWithTheProvidedInformationColonP0, iEditorInput));
 		}
 		
 		ITablableEditorInput tableInput = (ITablableEditorInput) iEditorInput;
Index: TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ImportTable.java
===================================================================
--- TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ImportTable.java	(revision 3452)
+++ TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ImportTable.java	(revision 3453)
@@ -94,7 +94,7 @@
 						Log.info(LexicalTableUIMessages.PleaseReopenTheLexicalTableToSeeTheModifications);
 					}
 					catch (Exception e) {
-						System.out.println(LexicalTableUIMessages.ErrorDataImportFailedP0 + e);
+						Log.severe(LexicalTableUIMessages.bind(LexicalTableUIMessages.ErrorDataImportFailedP0, e));
 						Log.printStackTrace(e);
 					}
 					
@@ -123,7 +123,7 @@
 						Log.info(LexicalTableUIMessages.PleaseReopenTheLexicalTableToSeeTheModifications);
 					}
 					catch (Exception e) {
-						System.out.println(LexicalTableUIMessages.ErrorDataImportFailedP0 + e);
+						Log.severe(LexicalTableUIMessages.bind(LexicalTableUIMessages.ErrorDataImportFailedP0, e));
 						Log.printStackTrace(e);
 					}
 				}
